# Created by pyp2rpm-3.3.3
%global pypi_name pyu2f

Name:           python-%{pypi_name}
Version:        0.1.4
Release:        %mkrel 2
Summary:        U2F host library for interacting with a U2F device over USB
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/google/pyu2f/
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
# for tests
BuildRequires:  python3dist(mock) >= 1.0.1
BuildRequires:  python3dist(pyfakefs) >= 2.4
BuildRequires:  python3dist(unittest2) >= 0.5.1

%description
pyu2f is a python based U2F host library for Linux, Windows, and MacOS. It
provides functionality for interacting with a U2F device over USB.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(six)

%description -n python3-%{pypi_name}
pyu2f is a python based U2F host library for Linux, Windows, and MacOS. It
provides functionality for interacting with a U2F device over USB.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Windows specific module, breaks tests
rm -rf pyu2f/hid/windows.py

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 0.1.4-2.mga8
+ Revision: 1541118
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 0.1.4-1.mga8
+ Revision: 1469114
- imported package python-pyu2f

